## id3 0.12

=== Makefile ===
PRODUCT = id3
VERSION = 0.12

SHELL = /bin/sh

CC = gcc
CFLAGS = -g -O2
LDFLAGS = 
LIBS = 
DEFS =  
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin

INCL = 
SRCS = id3.c
OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

.c.o:
	$(CC) $(DEFS) $(CFLAGS) -c $<

all: $(PRODUCT)

$(PRODUCT): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -f *~ *.o core $(PRODUCT)

install: $(PRODUCT)
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -s -m 755 -o 0 $(PRODUCT) $(bindir)
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 -o 0 $(PRODUCT).1 $(mandir)

## id3 0.14

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PRODUCT = id3
-VERSION = 0.12
+VERSION = 0.13
 
 SHELL = /bin/sh

## id3 0.15

=== debian/changelog ===
id3 (0.15-4) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.4
    - Fixed description synopsis
    - Use canonical URIs for Vcs-* fields
  * Use debhelper 9 to get the correct CFLAGS
  * debian/patches/03-buildflags.patch: get build flags from dpkg-buildflags
  * Added lintian override because upstream does not provide a changelog

 -- Stefan Ott <stefan@ott.net>  Sun, 20 Oct 2013 03:41:30 +0200

id3 (0.15-3) unstable; urgency=low

  * Changed source format to 3.0 (quilt)
  * debian/control:
    - Bumped Standards-Version to 3.8.4 (no changes needed)
    - Updated upstream homepage
    - Removed quilt dependency
  * debian/copyright: Corrected upstream author / url
  * Added watch file
  * Removed debian/README.source
  * Added debian/patches/02-help_text.patch to remove backticks from
    the --help output						closes: #192818
  * Added DEP-3 headers to debian/patches/01-dont_strip_binary.patch

 -- Stefan Ott <stefan@ott.net>  Sat, 20 Mar 2010 14:35:19 +0100

id3 (0.15-2) unstable; urgency=low

  * debian/control:
    - New maintainer						closes: #527478
    - Set debhelper dependency to version 7
    - Build-depend on quilt
    - Bumped Standards-Version to 3.8.1
    - Added ${misc:Depends} dependency
    - Added homepage field
    - Added Vcs-* fields
  * debian/compat: Set compatibility to version 7
  * debian/copyright:
    - Fixed FSF address
    - Changed path to license from GPL to GPL-2
  * debian/rules: Rewrote to use current debhelper
  * Added debian/patches/01-dont_strip_binary.patch		closes: #437190
  * Added debian/README.source to document quilt usage
  * Removed debian/dirs

 -- Stefan Ott <stefan@ott.net>  Sat, 06 Jun 2009 03:41:41 +0200

id3 (0.15-1) unstable; urgency=low

  * Fix infinite loop when setting genre to Fusion (the official ID3v1 genre
    list has Fusion as both #30 and #84). Thanks to Matthew Garman for
    reporting this bug.

 -- Robert Woodcock <rcw@debian.org>  Mon, 31 Jul 2006 21:42:52 -0700

id3 (0.14-2) unstable; urgency=low

  * Rebuild to remove /usr/doc/id3 symlink, closes: #322808
  * Fixed spelling of Psychedelic, closes: #275155
  * Fixed version number, closes: #198439
  * Updated manual page

 -- Robert Woodcock <rcw@debian.org>  Fri, 12 Aug 2005 16:23:24 -0700

id3 (0.14-1) unstable; urgency=low

  * Added Hwei Sheng Teoh's patches to a new release
  * Added directory sanity checking

 -- Robert Woodcock <rcw@debian.org>  Sun, 24 Nov 2002 11:35:06 -0800

id3 (0.13-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Clean up id3 tag structure after done processing with a file.
    (Closes: #66962)
  * Verified that #71795 has already been fixed. (Closes: #71795)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Sat, 23 Nov 2002 10:36:03 -0500

id3 (0.13-3) unstable; urgency=low

  * Added Build-Depends line

 -- Robert Woodcock <rcw@debian.org>  Fri, 24 May 2002 10:27:09 -0700

id3 (0.13-2) unstable; urgency=low

  * Accidentally built 0.13-1 as a debian-native package. Recompiled.

 -- Robert Woodcock <rcw@debian.org>  Sat, 23 Sep 2000 14:04:03 -0700

id3 (0.13-1) unstable; urgency=low

  * -R outputs genre numbers correctly, thanks to Ma.Fr@t-online.de,
    closes: bug #71795

 -- Robert Woodcock <rcw@debian.org>  Fri, 22 Sep 2000 20:08:27 -0700

id3 (0.12-1) unstable; urgency=low

  * ID3 v1.1 support

 -- Robert Woodcock <rcw@debian.org>  Fri, 24 Dec 1999 16:19:50 -0800

id3 (0.11-1) unstable; urgency=low

  * Adds -L option (lists all genres)

 -- Robert Woodcock <rcw@debian.org>  Tue, 23 Nov 1999 18:36:14 -0800

id3 (0.10-1) unstable; urgency=low

  * Removed a spurious argv[i] from a printf. Reckless cutting 'n
    pasting is bad, mmmmmkay? closes: bug #50118

 -- Robert Woodcock <rcw@debian.org>  Sun, 14 Nov 1999 08:41:58 -0800

id3 (0.9-1) unstable; urgency=low

  * Added rfc822-style output feature (-R)

 -- Robert Woodcock <rcw@debian.org>  Thu, 21 Oct 1999 21:35:06 -0700

id3 (0.8-1) unstable; urgency=low

  * Changed output from stderr to stdout to appease the masses
    closes: bug #47835

 -- Robert Woodcock <rcw@debian.org>  Tue, 19 Oct 1999 21:01:13 -0700

id3 (0.7-2) unstable; urgency=low

  * FHS compliance

 -- Robert Woodcock <rcw@debian.org>  Mon, 11 Oct 1999 22:27:58 -0700

id3 (0.7-1) unstable; urgency=low

  * Fixed exit codes on errors, closes: bug #38482

 -- Robert Woodcock <rcw@debian.org>  Sun,  6 Jun 1999 18:12:31 -0700

id3 (0.6-1) unstable; urgency=low

  * Merged in changes from Ben Gertzfield (new set of id3 genres, and a
    couple bug fixes regarding genre handling that managed to slip by in 0.5).
  * This version also makes -l the default when no action is specified.

 -- Robert Woodcock <rcw@debian.org>  Sat,  1 May 1999 15:11:40 -0700

id3 (0.5-1) unstable; urgency=low

  * Fixed thinko in genre listing that caused a weird offset effect

 -- Robert Woodcock <rcw@debian.org>  Tue, 13 Apr 1999 07:41:55 -0700

id3 (0.4-1) unstable; urgency=low

  * id3 now only uses read/write file access when it needs to.
    closes: bug #33960

 -- Robert Woodcock <rcw@debian.org>  Sat,  6 Mar 1999 21:13:06 -0800

id3 (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Robert Woodcock <rcw@debian.org>  Sun, 21 Feb 1999 14:13:01 -0800

=== debian/control ===
Source: id3
Section: sound
Priority: optional
Maintainer: Stefan Ott <stefan@ott.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://id3.googlecode.com/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/id3/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/id3/trunk/

Package: id3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Editor for ID3 tags
 A command-line based program that can list, modify, or delete ID3 tags
 from a file. ID3 tags are a way of identifying streaming music files.
 You can store Artist, Album, Title, Track, Year, and Genre in a tag, as
 well as a 28-character comment.

=== debian/watch ===
version=3

http://code.google.com/p/id3/downloads/list .*/id3-(.*)\.tar\.gz

## id3 1.0.0

=== Makefile ===
PRODUCT = id3
VERSION = 1.0.0

SHELL = /bin/sh

STD_CPPFLAGS ?= -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700

LFS_CPPFLAGS ?= `getconf LFS_CFLAGS || echo "-D_FILE_OFFSET_BITS=64"`
LFS_LDFLAGS ?= `getconf LFS_LDFLAGS || echo ""`

STD_CFLAGS ?= -std=c99
WARN_CFLAGS ?= -Wall -Wextra -Wbad-function-cast \
	-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
	-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
	-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings

CC ?= gcc
CPPFLAGS ?=
CPPFLAGS += ${STD_CPPFLAGS} ${LFS_CPPFLAGS}
CFLAGS ?= -g -O2
CFLAGS += ${STD_CFLAGS} ${WARN_CFLAGS}
LDFLAGS ?=
LDFLAGS += ${LFS_LDFLAGS}
LIBS = 
DEFS =  
INSTALL ?= /usr/bin/install -c
STRIP ?= -s

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin

INCL = 
SRCS = id3.c
OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

.c.o:
	$(CC) $(CPPFLAGS) $(DEFS) $(CFLAGS) -c $<

all: $(PRODUCT)

$(PRODUCT): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -f *~ *.o core $(PRODUCT)

install: $(PRODUCT)
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) $(STRIP) -m 755 -o 0 $(PRODUCT) $(bindir)
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 -o 0 $(PRODUCT).1 $(mandir)

=== debian/changelog ===
id3 (1.0.0-1) unstable; urgency=medium

  * New maintainer.  Closes: #770258
  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Point the Vcs-* fields to the new collab-maint Git repository and
    switch to the HTTPS scheme.
  * Point to the new upstream at devel.ringlet.net in the control,
    copyright, and watch files.
  * Convert the copyright file to version 1.0 of the machine-readable
    copyright file format and add my debian/* copyright notice.
  * Convert the watch file to format version 4, use pgpmode=auto, and
    add the devel.ringlet.net signing key.
  * Turn on all the build hardening options.
  * New upstream release:
    - drop all the Debian patches, incorporated upstream
    - drop the "no upstream changelog" Lintian override
    - pass the empty STRIP variable to the upstream build
    - add my upstream copyright notice
  * Add Multi-Arch: foreign to the binary package.
  * Add the debian/upstream/metadata file.
  * Bump the debhelper compatibility level to 10 and override the Lintian
    debhelper version warning.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 15 Aug 2016 17:50:16 +0300

=== debian/control ===
Source: id3
Section: sound
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 9.20160403~)
Standards-Version: 3.9.8
Homepage: https://devel.ringlet.net/audio/id3/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/id3.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/id3.git

Package: id3
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Editor for ID3 tags
 A command-line based program that can list, modify, or delete ID3 tags
 from a file. ID3 tags are a way of identifying streaming music files.
 You can store Artist, Album, Title, Track, Year, and Genre in a tag, as
 well as a 28-character comment.

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

export STRIP=

%:
	dh $@

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://devel.ringlet.net/audio/id3/ https://devel.ringlet.net/files/audio/id3/id3-(.*)\.tar\.gz

## id3 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PRODUCT = id3
-VERSION = 1.0.0
+VERSION = 1.1.0
 
 SHELL = /bin/sh
 
@@ -51,6 +51,6 @@
 
 install: $(PRODUCT)
 	$(INSTALL) -d -m 755 $(bindir)
-	$(INSTALL) $(STRIP) -m 755 -o 0 $(PRODUCT) $(bindir)
+	$(INSTALL) $(STRIP) -m 755 $(PRODUCT) $(bindir)
 	$(INSTALL) -d -m 755 $(mandir)
-	$(INSTALL) -m 644 -o 0 $(PRODUCT).1 $(mandir)
+	$(INSTALL) -m 644 $(PRODUCT).1 $(mandir)

=== debian/changelog ===
id3 (1.1.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Bump the debhelper compatibility level to 12 with no changes.

 -- Peter Pentchev <roam@debian.org>  Wed, 09 Jan 2019 00:32:16 +0200

id3 (1.1.0-2) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    changelog (CHANGES) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 13:13:18 +0200

id3 (1.1.0-1) unstable; urgency=medium

  * Use my Debian e-mail address.
  * New upstream version.
  * Add a trivial autopkgtest running adequate on the installed package.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 May 2018 20:24:49 +0300

id3 (1.0.1-1) unstable; urgency=medium

  * Switch the watch file back to pgpsigurlmangle, since pgpmode=auto may
    silently ignore a missing upstream signature.
  * Use the v4 substitution variables in the watch file.
  * Bump the year on my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Bump the debhelper compatibility level to 11 with no changes and
    use the new B-D: debhelper-compat (= 11) mechanism.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Let dpkg-buildflags take care of Large File Support.
  * New upstream version; update the upstream copyright years.
  * Point the Vcs-* fields to salsa.debian.org.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 06 May 2018 15:34:05 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: id3
 Section: sound
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 9.20160403~)
-Standards-Version: 3.9.8
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: https://devel.ringlet.net/audio/id3/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/id3.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/id3.git
+Vcs-Git: https://salsa.debian.org/debian/id3.git
+Vcs-Browser: https://salsa.debian.org/debian/id3/
+Rules-Requires-Root: no
 
 Package: id3
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

export LFS_CPPFLAGS=
export LFS_LDFLAGS=
export STRIP=

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGES
	install -m 644 CHANGES debian/id3/usr/share/doc/id3/NEWS

%:
	dh $@

=== debian/tests/control ===
Test-Command: adequate id3
Depends: @, adequate

## id3 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PRODUCT = id3
-VERSION = 1.1.0
+VERSION = 1.1.2
 
 SHELL = /bin/sh
 
@@ -22,7 +22,7 @@
 LDFLAGS ?=
 LDFLAGS += ${LFS_LDFLAGS}
 LIBS = 
-DEFS =  
+DEFS = -DID3_VERSION='"${VERSION}"'
 INSTALL ?= /usr/bin/install -c
 STRIP ?= -s
 
@@ -46,6 +46,9 @@
 $(PRODUCT): $(OBJS)
 	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
 
+test: $(PRODUCT)
+	env TEST_ID3='./$(PRODUCT)' prove t
+
 clean:
 	rm -f *~ *.o core $(PRODUCT)

=== debian/changelog ===
id3 (1.1.2-4) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Use debhelper compat level 14 and X-DH-Compat.
  * Let debhelper take care of some dependencies automatically.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF metadata.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Sat, 14 Dec 2024 16:09:05 +0200

id3 (1.1.2-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Explicitly declare dh-sequence-single-binary as a virtual build
    dependency.
  * Use the Perl Audio::Scan module instead of the deprecated MP3::Info
    one in the tests.

 -- Peter Pentchev <roam@debian.org>  Fri, 31 Dec 2021 23:28:52 +0200

id3 (1.1.2-2) unstable; urgency=medium

  * Do not use a non-free package for testing.

 -- Peter Pentchev <roam@debian.org>  Sun, 03 May 2020 22:14:41 +0300

id3 (1.1.2-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the Name and Contact upstream metadata fields.
  * Add a trivial git-buildpackage config file.
  * New upstream release:
    - add some build dependencies for the newly-added test suite
    - update the upstream copyright years
  * Run the upstream test suite via autopkgtest.
  * Drop the adequate autopkgtest.
  * Update the debhelper compat level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Sun, 03 May 2020 19:44:03 +0300

=== debian/control ===
Source: id3
Section: sound
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 libaudio-scan-perl <!nocheck>,
 libjs-scriptaculous <!nocheck>,
 libpath-tiny-perl <!nocheck>,
 libtest-command-perl <!nocheck>,
 perl <!nocheck>,
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/audio/id3/
Vcs-Git: https://salsa.debian.org/debian/id3.git
Vcs-Browser: https://salsa.debian.org/debian/id3/
X-Style: black

Package: id3
Architecture: any
Multi-Arch: foreign
Description: Editor for ID3 tags
 A command-line based program that can list, modify, or delete ID3 tags
 from a file. ID3 tags are a way of identifying streaming music files.
 You can store Artist, Album, Title, Track, Year, and Genre in a tag, as
 well as a 28-character comment.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,15 @@
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
 export DEB_BUILD_MAINT_OPTIONS
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 export LFS_CPPFLAGS=
 export LFS_LDFLAGS=
 export STRIP=
+
+export TEST_ID3_MEOW=	/usr/share/doc/libjs-scriptaculous/test/functional/sword.mp3.gz
 
 override_dh_installchangelogs:
 	dh_installchangelogs -X CHANGES

=== debian/tests/control ===
Test-Command: env TEST_ID3=/usr/bin/id3 TEST_ID3_MEOW=/usr/share/doc/libjs-scriptaculous/test/functional/sword.mp3.gz prove t
Depends:
 libaudio-scan-perl,
 libjs-scriptaculous,
 libpath-tiny-perl,
 libtest-command-perl,
 perl,
 @,
Features:
 test-name=upstream,
